using System;
using System.Linq;

namespace Frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int brojFrilensera;
            do
            {
                brojFrilensera = int.Parse(Console.ReadLine());
            } while ((brojFrilensera < 1) || (brojFrilensera > 200000));

            double[] pocetnaZarada = new double[brojFrilensera];
            double[] prihvatljivPorez = new double[brojFrilensera];

            for(int i = 0; i<brojFrilensera; i++)
            {
                do
                {
                    pocetnaZarada[i] = double.Parse(Console.ReadLine());
                } while ((pocetnaZarada[i] < 1) || (pocetnaZarada[i] > 1000000));
                do
                {
                    prihvatljivPorez[i] = double.Parse(Console.ReadLine());
                } while ((prihvatljivPorez[i] < 0) || (prihvatljivPorez[i] > 100));
            }

            double[] zarada = new double[brojFrilensera];

            for (int i = 0; i < brojFrilensera; i++)
            {
                double s = 0;
                int j = 0;
                for (; j < brojFrilensera; j++)
                {
                    if(prihvatljivPorez[i]<=prihvatljivPorez[j])
                    s += pocetnaZarada[j];
                }
                zarada[i] = s * prihvatljivPorez[i] / 100;
            }

            double max = zarada.Max();
            Console.WriteLine(max);
        }
    }
}